#ifndef CHANNEL_H
#define CHANNEL_H

#include <QWidget>
#include <cucontrolsfactorypool.h>

class CumbiaPool;

namespace Ui {
class Channel;
}

class Channel : public QWidget
{
    Q_OBJECT

public:
    explicit Channel(QWidget *parent, CumbiaPool *cu_p, const CuControlsFactoryPool& fp);
    ~Channel();

protected slots:
    void onPbFixClicked();
private:
    Ui::Channel *ui;
    CumbiaPool *cu_pool;
    CuControlsFactoryPool m_ctrl_fpool;
};

#endif // CHANNEL_H

